Rev 711: ensure we always build the right version in http://samba.org/~tridge/ctdb

tridge at samba.org tridge at samba.org
Fri Jan 4 22:55:19 GMT 2008


------------------------------------------------------------
revno: 711
revision-id:tridge at samba.org-20080104225518-kv0c3jrl6yd1hyr3
parent: tridge at samba.org-20080104225253-vwxsgqvy42x52yol
committer: Andrew Tridgell <tridge at samba.org>
branch nick: tridge.stable
timestamp: Sat 2008-01-05 09:55:18 +1100
message:
  ensure we always build the right version
modified:
  packaging/RPM/makerpms.sh      makerpms.sh-20070527204758-biuh7znabuwan3zn-4
=== modified file 'packaging/RPM/makerpms.sh'
--- a/packaging/RPM/makerpms.sh	2007-06-11 02:30:32 +0000
+++ b/packaging/RPM/makerpms.sh	2008-01-04 22:55:18 +0000
@@ -55,10 +55,10 @@
 BASEDIR=`basename $PWD`
 cd ..
 chown -R ${USERID}.${GRPID} $BASEDIR
-if [ ! -d ctdb-${VERSION} ]; then
-	ln -s $BASEDIR ctdb-${VERSION} || exit 1
-	REMOVE_LN=$PWD/ctdb-$VERSION
-fi
+rm -f ctdb-${VERSION}
+ln -s $BASEDIR ctdb-${VERSION} || exit 1
+REMOVE_LN=$PWD/ctdb-$VERSION
+
 echo -n "Creating ctdb-${VERSION}.tar.gz ... "
 tar --exclude=.bzr --exclude .bzrignore --exclude="*~" -cf - ctdb-${VERSION}/. | gzip -9 --rsyncable > ${SRCDIR}/ctdb-${VERSION}.tar.gz
 echo "Done."



More information about the samba-cvs mailing list